- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LotusGraphInternal::SubDocument Class Reference

Internal: the subdocument of a LotusGraphc. More...

Inheritance diagram for LotusGraphInternal::SubDocument:

## Public Member Functions
| SubDocument (RVNGInputStreamPtr input, LotusGraph &graphParser, WPSEntry &entry)
| constructor for a text entry More...
| ~SubDocument ()
| destructor More...
virtual bool | operator== (shared_ptr< WKSSubDocument > const &doc) const
| operator== More...
void | parse (shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType)
| the parser function More...
Public Member Functions inherited from WKSSubDocument
| WKSSubDocument (RVNGInputStreamPtr &input, WKSParser *parser, int id=0)
| constructor More...
virtual | ~WKSSubDocument ()
| destructor More...
WKSParser * | parser () const
| returns the parser More...
virtual bool | operator== (shared_ptr< WPSSubDocument > const &doc) const
| an operator = More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
bool | operator!= (shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
LotusGraph & | m_graphParser
| the graph parser More...
WPSEntry | m_entry
| a flag to known if we need to send the entry or the footer More...

## Additional Inherited Members
Protected Attributes inherited from WKSSubDocument
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a LotusGraphc.

## Constructor & Destructor Documentation

LotusGraphInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr | input,
|  | LotusGraph & | graphParser,
|  | WPSEntry & | entry
| ) |  |
| inline

constructor for a text entry

LotusGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inline

destructor

## Member Function Documentation

virtual bool LotusGraphInternal::SubDocument::operator== | ( | shared_ptr< WKSSubDocument > const & | doc | ) | const
| inline virtual

operator==

void LotusGraphInternal::SubDocument::parse | ( | shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |
| virtual

the parser function

Implements WKSSubDocument.

## Member Data Documentation

WPSEntry LotusGraphInternal::SubDocument::m_entry

a flag to known if we need to send the entry or the footer

Referenced by operator==().

LotusGraph& LotusGraphInternal::SubDocument::m_graphParser

the graph parser

Referenced by operator==().

The documentation for this class was generated from the following file:

- LotusGraph.cpp